%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	WaveLAN plugin for the Xfce panel
Name:		xfce4-wavelan-plugin
Version:	0.6.2
Release:	%mkrel 1
Group:		Graphical desktop/Xfce
License:	BSD
URL:		https://docs.xfce.org/panel-plugins/xfce4-wavelan-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-wavelan-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel >= 4.8

%description
A plugin for the Xfce panel that monitors a wireless LAN interface. It
displays stats for signal state, signal quality and network name (SSID).

%prep
%setup -q
%autopatch -p1

%build
#to fix debug symbols build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README*
%{_libdir}/xfce4/panel/plugins/libwavelan.so
%{_datadir}/xfce4/panel/plugins/wavelan.desktop


%changelog
* Fri Dec 25 2020 wally <wally> 0.6.2-1.mga8
+ Revision: 1663627
- new version 0.6.2

* Sat Oct 31 2020 wally <wally> 0.6.1-3.mga8
+ Revision: 1641013
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Sun Feb 16 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1530493
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Aug 29 2019 wally <wally> 0.6.1-1.mga8
+ Revision: 1435137
- new version 0.6.1

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1301890
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 0.6.0-1.mga7
+ Revision: 1162009
- new version 0.6.0
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 0.5.12-3.mga6
+ Revision: 963586
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 0.5.12-2.mga6
+ Revision: 881821
- fix debug symbols build

* Sun Jun 21 2015 wally <wally> 0.5.12-1.mga6
+ Revision: 837969
- new version 0.5.12

* Tue Mar 03 2015 wally <wally> 0.5.11-6.mga5
+ Revision: 817460
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.5.11-5.mga5
+ Revision: 742435
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 wally <wally> 0.5.11-4.mga5
+ Revision: 697580
- exclude plugin .so from provides
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.11-3.mga4
+ Revision: 520612
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.11-2.mga3
+ Revision: 386874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 0.5.11-1.mga3
+ Revision: 265388
- new version 0.5.11

* Fri Jun 29 2012 wally <wally> 0.5.10-2.mga3
+ Revision: 265089
- add patch from upstream git to use transparency (mga#6620, xfce#8913)

* Mon May 28 2012 wally <wally> 0.5.10-1.mga3
+ Revision: 248599
- new version 0.5.10
- clean .spec

* Tue Jan 03 2012 wally <wally> 0.5.6-3.mga2
+ Revision: 190118
- add patch to fix linking
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 0.5.6-2.mga1
+ Revision: 54202
- imported package xfce4-wavelan-plugin


* Sun Dec 12 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.6-1mdv2011.0
+ Revision: 620598
- update to new version 0.5.6
- update buildrequires
- update URL for Source0

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-2mdv2010.1
+ Revision: 543442
- rebuild for mdv 2010.1

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-1mdv2010.0
+ Revision: 373806
- update to new version 0.5.5

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-8mdv2009.1
+ Revision: 349483
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-7mdv2009.1
+ Revision: 295032
- rebuild for new Xfce4.6 beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.5.4-6mdv2009.0
+ Revision: 262414
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.5.4-5mdv2009.0
+ Revision: 256998
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-3mdv2008.1
+ Revision: 110559
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING file
- use upstream name
- fix path

* Sun Jun 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-1mdv2008.0
+ Revision: 34783
- Import xfce-wavelan-plugin

